<?php
include "../conecta.php";



function valida_data_ref($data=''){

	if ( $data!='' ) {
		//Checa se a data é válida
		$parts = explode('/', $data);
		if (!checkdate($parts[1], $parts[0], $parts[2]))
			$retorno = false;
		else
			$retorno = true;

	} else {
		$retorno = true;
	}

	return $retorno;
}




function finaliza_devolucao() {


	// if ( trim($_POST[chave_referenciada1])=='' || trim($_POST[numero_referenciada1])=='' || trim($_POST[data_referenciada1])=='' ) {
	// 	set_status('ATENÇÃO: Informe os dados na nota referenciada!');
	// 	index();
	// 	exit;
	// }

	// if ( !valida_data_ref($_POST[data_referenciada1]) || !valida_data_ref($_POST[data_referenciada2]) || !valida_data_ref($_POST[data_referenciada3]) ||
	// 	 !valida_data_ref($_POST[data_referenciada4]) || !valida_data_ref($_POST[data_referenciada5]) ) {
	// 	set_status('ATENÇÃO: Informe uma data válida!');
	// 	index();
	// 	exit;
	// }


	
	// SE VIER DA VALIDAÇÃO
	if ( trim($_POST[comandas])!='' ) {
		$_GET[comandas] = $_POST[comandas];
	}


	// OBTEM OS IDS DAS COMANDAS
	$comandas = $_GET[comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$comandas = str_replace(';', ',', $comandas);
	
	if($_GET[comandas]!=''){
		$id_orde_cli=explode(";",$_GET[comandas]);
		$a_orde_clie = carregar('orde_nb_id|ordem,entidade',$id_orde_cli[1]);

	} else {// SE NÃO ÇOCALIZAR A DEVOLUÇÃO
		cabecalho2('Finaliza Devolução',2);
		echo "ERRO: Código da devolução em falta!";
		$voltar = cactux::botao("Voltar",2,'cancelar'," onclick=fecha_janela_modal();");
		cactux::linha_fieldset($voltar);
		exit;
	}


	$campos = array(orde_tx_chaveReferenciada1,orde_tx_chaveReferenciada2,orde_tx_chaveReferenciada3,orde_tx_chaveReferenciada4,orde_tx_chaveReferenciada5,orde_tx_motivoDevolucao);
	$valores= array($_POST[chave_referenciada1],$_POST[chave_referenciada2],$_POST[chave_referenciada3],$_POST[chave_referenciada4],$_POST[chave_referenciada5],$_POST[motivo_devolucao]);
		
	array_push($campos, orde_tx_numeroReferenciada1,orde_tx_numeroReferenciada2,orde_tx_numeroReferenciada3,orde_tx_numeroReferenciada4,orde_tx_numeroReferenciada5);
	array_push($valores, $_POST[numero_referenciada1],$_POST[numero_referenciada2],$_POST[numero_referenciada3],$_POST[numero_referenciada4],$_POST[numero_referenciada5]);

	array_push($campos, orde_tx_dataReferenciada1,orde_tx_dataReferenciada2,orde_tx_dataReferenciada3,orde_tx_dataReferenciada4,orde_tx_dataReferenciada5);
	array_push($valores, gera_data($_POST[data_referenciada1],1),gera_data($_POST[data_referenciada2],1),gera_data($_POST[data_referenciada3],1),gera_data($_POST[data_referenciada4],1),gera_data($_POST[data_referenciada5],1));

	atualizar('ordem',$campos,$valores,$a_orde_clie[orde_nb_id]);


	// print_r($_POST);


	echo "<script>
		window.parent.form_pagamento.submit();
		</script>";


	exit;
}




function index() {
	global $CONFIGURA;


	cabecalho2('Finaliza Devolução',2);


	
	// SE VIER DA VALIDAÇÃO
	if ( trim($_POST[comandas])!='' ) {
		$_GET[comandas] = $_POST[comandas];
	}


	// OBTEM OS IDS DAS COMANDAS
	$comandas = $_GET[comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$comandas = str_replace(';', ',', $comandas);
	
	if($_GET[comandas]!=''){
		$id_orde_cli=explode(";",$_GET[comandas]);
		$a_orde_clie = carregar('ordem,entidade',$id_orde_cli[1]);
		if($a_orde_clie[orde_nb_user] > '1')
			$a_orde_vend = carregar('enti_tx_nome|entidade',$a_orde_clie[orde_nb_user]);

	} else {// SE NÃO ÇOCALIZAR A DEVOLUÇÃO
		echo "ERRO: Código da devolução em falta!";
		$voltar = cactux::botao("Voltar",2,'cancelar'," onclick=fecha_combo_net_nome('combonet_desconto');");
		cactux::linha_fieldset($voltar);
		exit;
	}



	$t[] = cactux::texto('Cliente:',$a_orde_clie[enti_tx_nome],4);
	$t[] = cactux::texto('Vendedor:',$a_orde_vend[enti_tx_nome],4);
	$t[] = cactux::texto('Devolução:',substr($_GET[comandas],1),2);

	for ($i=0; $i<5; $i++) {
		$linha = $i+1;

		$data_ref = data($a_orde_clie['orde_tx_dataReferenciada'.$linha],1);
		if ($data_ref=='00/00')
			$data_ref='';

		$chave[] = cactux::campo('Chave NFE Referenciada:','chave_referenciada'.$linha,$a_orde_clie['orde_tx_chaveReferenciada'.$linha],4,' id=chave_referenciada'.$linha);
		$numero[]= cactux::campo('Número NFE Referenciada:','numero_referenciada'.$linha,$a_orde_clie['orde_tx_numeroReferenciada'.$linha],3,MASCARA_NUMERO);
		$data[]  = cactux::campo('Data NFE Referenciada:','data_referenciada'.$linha,$data_ref,2,MASCARA_DATA);
		$add[]   = cactux::texto('',"<a href=javascript:onclick=abre_proximo(".$linha.");><img src='../cactus/imagens/adicionar.png' id=img_botao".$linha." width=20px></a>");
	}

	$motivo = cactux::campo('Motivo da Devolução:','motivo_devolucao','',10);


	//BOTOES
	$gravar = cactux::botao_submit("Finalizar",2,'finaliza_devolucao','comandas,finalizar',"$_GET[comandas],$_GET[finalizar]");
	$voltar = cactux::botao("Voltar",2,'cancelar'," onclick=fecha_janela_modal();");
	$status = cactux::msg_status();
	// $status = cactux::texto('',"<span id=msg_status class=msg_status></span>",4);
	//-----------

	cactux::abre_form();


	cactux::abre_fieldset('Informações da Devolução');
	cactux::linha_fieldset($t[0],$t[1],$t[2]);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Notas Referenciadas');
	for ($i=0; $i<5; $i++) {
		if( $i==0 )	$display='block';	else	$display='none';
		echo "<div id=div_referenciada".$i." style='display:$display'>";
			cactux::linha_fieldset($chave[$i],$numero[$i],$data[$i],$add[$i]);
		echo "</div>";
	}
	cactux::linha_fieldset($motivo);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();


	cactux::fecha_form();

	javascript("

		function abre_proximo(id_proximo) {

			var display = document.getElementById('div_referenciada'+id_proximo).style.display;

			if ( display=='none' ) {//EXIBIR
				document.getElementById('div_referenciada'+id_proximo).style.display='block';
				document.getElementById('img_botao'+id_proximo).src='../cactus/imagens/excluir.png';
			} else {//OCULTAR
				document.getElementById('div_referenciada'+id_proximo).style.display='none';
				document.getElementById('img_botao'+id_proximo).src='../cactus/imagens/adicionar.png';
			}
			
			window.document.getElementById('chave_referenciada'+id_proximo).focus();
		}
	");

	
	rodape();
}


CONTROLE();
	

?>